%global namedreltag -beta-5-parallel-1-SNAPSHOT
%global namedversion %{version}%{?namedreltag}
%define with_maven 1
Name:          cpptasks-parallel
Version:       1.0
Release:       %mkrel 1
Summary:       Ant Contrib CppTasks (parallel implementation) 
Group:         Development/Java
License:       ASL 2.0
Url:           https://github.com/duns/cpptasks-parallel/
# git clone git://github.com/duns/cpptasks-parallel.git
# tar czf cpptasks-parallel-1.0-beta-5-parallel-1-SNAPSHOT-src-git.tar.gz cpptasks-parallel-1.0-beta-5-parallel-1-SNAPSHOT
Source0:       cpptasks-parallel-1.0-beta-5-parallel-1-SNAPSHOT-src-git.tar.gz

BuildRequires: ant
BuildRequires: junit
%if %with_maven
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-skins
%endif
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis
Requires:      ant
Requires:      xerces-j2
Requires:      xml-commons-apis
Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Library to call native compilers and linkers.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
Ant Contrib CppTasks (parallel implementation).

This package contains the API documentation for %{name}.

%if %with_maven
%package manual
Summary:          Docs for %{name}
Group:            Development/Java

%description manual
Ant Contrib CppTasks (parallel implementation).

This package contains documentation for %{name}
%endif

%prep
%setup -q -n cpptasks-parallel-%{namedversion}

find . -name "*.jar" -exec rm {} \;
rm -rf site

for d in LICENSE NOTICE ; do
  iconv -f iso8859-1 -t utf-8 $d > $d.conv && mv -f $d.conv $d
  sed -i 's/\r//' $d
done

iconv -f iso8859-1 -t utf-8 README.txt > README.txt.conv && mv -f README.txt.conv README.txt
sed -i 's/\r//' README.txt

%build

%if %with_maven
mvn-rpmbuild install javadoc:aggregate site
%else
export CLASSPATH=$(build-classpath ant xerces-j2 xml-commons-apis junit)
ant jars javadocs
%endif

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

# JAR
%if %with_maven
install -pm 644 target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
%else
install -pm 644 target/lib/cpptasks.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
%endif

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do 
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

# POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
%if %with_maven
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}
rm -rf target/site/apidocs
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}
cp -rp target/site/* $RPM_BUILD_ROOT%{_docdir}/%{name}
for i in `find $RPM_BUILD_ROOT%{_docdir}/%{name} -type f`; do
  perl -pi -e 's/\r$//g' $i
done
(
  cd $RPM_BUILD_ROOT%{_docdir}/%{name}
  ln -sf %{_javadocdir}/%{name} apidocs
)
%else
cp -rp target/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}
%endif



%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE NOTICE README.txt

%files javadoc
%{_javadocdir}/%{name}

%if %with_maven
%files manual
%{_docdir}/%{name}
%endif


%changelog

* Mon Nov 07 2011 gil <gil> 1.0-1.mga2
+ Revision: 164847
- imported package cpptasks-parallel

